using LoginPI.Engine.ScriptBase;

public class IfElse : ScriptBase
{
    void Execute()
    {
        // ----------- IFELSE -----------
        // DESCRIPTION
        // If and else allows you to make conditional statements
        // If the condition is true the if block gets executed
        // If the condition is false the if else block gets executed

        // EXAMPLES
        var Condition = MainWindow.FindControl(title:"Condition");

        if (Condition != null)
        {
            Type("Condition is true");
        }
        else
        {
            Type("Condition is not true");
        }
    }
}