using LoginPI.Engine.ScriptBase;

public class While : ScriptBase
{
    void Execute()
    {
        // ----------- WHILE -----------
        // DESCRIPTION
        // A while statement executes a block of code in a loop while the condition evaluates to true
        // The expression is evaluated before each execution of the loop
        // In the following example we specify an integer variable that equals zero
        // While the number is less than 10, we log the number to console and add +1 to it until it evaluates false

        // EXAMPLES
        int number = 0;
        while(number < 10)
        {
            Log(number);
            number++;
        }
    }
}